AttrRec_s Struct Reference

## Data Fields

const char * | ar_fmodestr
const char * | ar_dmodestr
const char * | ar_user
const char * | ar_group
mode_t | ar_fmode
mode_t | ar_dmode

## Detailed Description

Definition at line 96 of file files.c.

## Field Documentation

mode_t AttrRec_s::ar_dmode

Definition at line 106 of file files.c.

Referenced by addFile(), dupAttrRec(), and nullAttrRec().

const char* AttrRec_s::ar_dmodestr

Definition at line 100 of file files.c.

Referenced by addFile(), dupAttrRec(), freeAttrRec(), and nullAttrRec().

mode_t AttrRec_s::ar_fmode

Definition at line 105 of file files.c.

Referenced by addFile(), dupAttrRec(), nullAttrRec(), and processSourceFiles().

const char* AttrRec_s::ar_fmodestr

Definition at line 98 of file files.c.

Referenced by addFile(), dupAttrRec(), freeAttrRec(), nullAttrRec(), and processSourceFiles().

const char* AttrRec_s::ar_group

Definition at line 104 of file files.c.

Referenced by addFile(), dupAttrRec(), freeAttrRec(), nullAttrRec(), and processSourceFiles().

const char* AttrRec_s::ar_user

Definition at line 102 of file files.c.

Referenced by addFile(), dupAttrRec(), freeAttrRec(), nullAttrRec(), and processSourceFiles().

The documentation for this struct was generated from the following file:

- build/files.c